{
    "editor.renameOnType": true,
    "editor.formatOnPaste": true,
    "diffEditor.codeLens": true,
    "editor.formatOnType": true,
    "editor.formatOnSave": true,
    "emmet.showSuggestionsAsSnippets": true
}